# TestStackTraceFilter

enum TestStackTraceFilter

Stack trace filters for test logging. Multiple filters can be combined.

## Entries

ENTRY_POINT
Link copied to clipboard
ENTRY_POINT
TRUNCATE
Link copied to clipboard
TRUNCATE
GROOVY
Link copied to clipboard
GROOVY

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): TestStackTraceFilter

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<TestStackTraceFilter>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.